<?php
defined('_JEXEC') or die();
jimport('joomla.application.component.model');

class ClubmanagementModelCharts_Agegroups extends ClubmanagementModelCharts
{
	public function __construct() {
		parent::__construct();
		$this->chartParams = array(
			'date'					=>	NULL,
			'chart_width'			=>	700,
			'chart_height'			=>	400,	
			'section_id'			=>	NULL,	
		);
	}

	public static function getChartParamsFromItemid($Itemid, $mergeArray = NULL) {
		$menuItem = JSite::getMenu()->getItem($Itemid);
		$params =	array(
			'Itemid'				=>	$Itemid,
			'filter_date'			=>	$menuItem->query['targetdate'],
			'chart_width'			=>	$menuItem->query['chart_width'],
			'chart_height'			=>	$menuItem->query['chart_height'],	
			'section_id'			=>	$menuItem->query['section_id'],	
		);
		if(!is_null($mergeArray) && is_array($mergeArray)) {
			$params = $mergeArray + $params;
		}
		//print_r($mergeArray);
		//die();
		return $params;
	}

	public function draw() {
		$width		= 700;
		$height		= 400;
		$multiplier	=	max($this->chartParams['chart_width']/$width, $this->chartParams['chart_height']/$height);
//print_r($this->chartParams);
//die();
		$rawdata = $this->data;
		// Dataset definition
		$Test = new mtChart($width*$multiplier, $height*$multiplier);

		$data = array();

		if (count($rawdata)>0 && is_array($rawdata)) {
			$data_as_of = $rawdata[0]->filterdate;
			for($i=0; $i<count($rawdata); $i++) {
				$data['members_male'][] 	= $rawdata[$i]->members_male;
				$data['members_female'][] 	= $rawdata[$i]->members_female;
				$data['description'][] 		= $rawdata[$i]->description;
				//$data['members_30less'][] = $rawdata[$i]->members_30less;
			}
		} else {
			$data['members_male'] 		= NULL;
			$data['members_female'] 	= NULL;
			$data['description'] 		= NULL;
			//$data['members_30less'] = NULL;
		}

		$Test->AddPoint($data['description'],"Serie1");
		$Test->AddPoint($data['members_male'],"Serie2");
		$Test->AddPoint($data['members_female'],"Serie3");

		$Test->addAllSeries();
		$Test->RemoveSerie("Serie1");
		$Test->setAbsciseLabelSerie("Serie1");

		//$Test->setSerieName("January","Serie1");
		$Test->setSerieName(JText::_('COM_CLUBMANAGEMENT_MALE_MEMBER'),"Serie2");
		$Test->setSerieName(JText::_('COM_CLUBMANAGEMENT_FEMALE_MEMBER'),"Serie3");

		// Initialise the graph
		$Test->drawGraphAreaGradient(0,0,0,-100,TARGET_BACKGROUND);

		// Prepare the graph area
		$Test->setGraphArea(55*$multiplier, 10*$multiplier, 680*$multiplier, 200*$multiplier);

		$Test->drawGraphArea(213,217,221,FALSE);
		$Test->drawGraphAreaGradient(30,30,30,-50);


		// Initialise the graph
		$Test->setFontProperties('DejaVuSansCondensed',8);

		$Test->drawScale(SCALE_NORMAL,213,217,221,TRUE,90,2,TRUE);
		$Test->drawGrid(4,TRUE,230,230,230,20);

		// Draw the 0 line
		$Test->setFontProperties('DejaVuSansCondensed',6);
		$Test->drawTreshold(0,143,55,72,TRUE,TRUE);

		// Draw the bar graph
		$Test->drawBarGraph(TRUE,80);

		// Finish the graph
		$Test->setFontProperties('DejaVuSansCondensed',8);
		$Test->drawLegend(500*$multiplier, 20*$multiplier, 255, 255, 255);

		//	draw copyright
		$text = "&#169; ".date('Y')." Clubmanagement"." - ".JText::_('COM_CLUBMANAGEMENT_DATA_AS_OF')." ".$data_as_of;
		$Test->drawTextBox(10*$multiplier, 370*$multiplier, 690*$multiplier, 390*$multiplier, $text, 0, 255, 255, 255, ALIGN_BOTTOM_RIGHT);

		$Test->setFontProperties('DejaVuSansCondensed',10);
		$Test->Stroke();
	}
}
?>