<?php
defined('_JEXEC') or die();
jimport('joomla.application.component.model');

class ClubmanagementModelCharts_Memberperyear extends ClubmanagementModelCharts 
{
	public function __construct() {
		parent::__construct();
		$this->chartParams = array(
			'fromdate'				=>	NULL,
			'untildate'				=>	NULL,
			'chart_width'			=>	400,
			'chart_height'			=>	400,	
			'show_all_member' 		=>	1,
			'show_male_member'		=>	1,
			'show_female_member' 	=>	1,
			'section_id' 			=>	NULL,
		);
	}

	public static function getChartParamsFromItemid($Itemid, $mergeArray = NULL) {
		$menuItem = JSite::getMenu()->getItem($Itemid);
		$params =	array(
			'Itemid'				=>	$Itemid,
			'fromdate'				=>	$menuItem->query['fromdate'],
			'untildate'				=>	$menuItem->query['untildate'],
			'chart_width'			=>	$menuItem->query['chart_width'],
			'chart_height'			=>	$menuItem->query['chart_height'],	
			'show_all_member' 		=>	$menuItem->query['show_all_member'],
			'show_male_member'		=>	$menuItem->query['show_male_member'],
			'show_female_member' 	=>	$menuItem->query['show_female_member'],
			'section_id' 			=>	$menuItem->query['section_id'],
		);
		if(!is_null($mergeArray) && is_array($mergeArray)) {
			$params = $mergeArray + $params;
		}
		return $params;
	}

	public function draw() {
		$width		= 500;
		$height		= 500;
		$multiplier	=	max($this->chartParams['chart_width']/$width, $this->chartParams['chart_height']/$height);
		$rawdata = $this->data;
		// Dataset definition
		$Test = new mtChart($width*$multiplier, $height*$multiplier);

		$data = array();

		if (count($rawdata)>0 && is_array($rawdata)) {
			for($i=0; $i<count($rawdata); $i++) {
				$data['days'][] = $rawdata[$i]->days;
				$data['members_male'][] = $rawdata[$i]->members_male;
				$data['members_female'][] = $rawdata[$i]->members_female;
				$data['members_sum'][] = $rawdata[$i]->members_sum;
				//$data['members_30less'][] = $rawdata[$i]->members_30less;
			}
		} else {
			$data['days'] = NULL;
			$data['members_male'] = NULL;
			$data['members_female'] = NULL;
			$data['members_sum'] = NULL;
			//$data['members_30less'] = NULL;
		}

		$Test->AddPoint($data['members_male'],"Serie3");
		$Test->AddPoint($data['days'],"Serie4");
		$Test->AddPoint($data['members_female'],"Serie5");
		$Test->AddPoint($data['days'],"Serie6");
		$Test->AddPoint($data['members_sum'],"Serie1");
		$Test->AddPoint($data['days'],"Serie2");
		//$Test->AddPoint($data['members_30less'],"Serie7");
		//$Test->AddPoint($data['days'],"Serie8");
		$Test->AddAllSeries();
		$Test->setSerieName(JText::_('COM_CLUBMANAGEMENT_TOTAL'), 'Serie1');
		$Test->setSerieName(JText::_('COM_CLUBMANAGEMENT_MALE_MEMBER'), 'Serie3');
		$Test->setSerieName(JText::_('COM_CLUBMANAGEMENT_FEMALE_MEMBER'), 'Serie5');
		//$Test->setSerieName('Junge Leute', 'Serie7');

		$Test->SetXAxisName("Jahre");
		$Test->SetYAxisName("Mitgliederzahlen");
		$Test->setXAxisFormat('date');  
		$Test->setXAxisFormat('days');  
		$Test->setXAxisUnit('');  
		$Test->setYAxisUnit('');  
		$Test->setDateFormat("Y");

		// Initialise the graph
		$Test->drawGraphAreaGradient(0,0,0,-100,TARGET_BACKGROUND);

		// Prepare the graph area
		$Test->setGraphArea(55*$multiplier,55*$multiplier,480*$multiplier,400*$multiplier);

		#$Test->drawGraphArea(213,217,221,FALSE);
		$Test->drawGraphAreaGradient(30,30,30,-50);

		$Test->clearScale();
		$Test->setScaleMultiaxis(array('Serie2', 'Serie4', 'Serie6'), array('Serie1', 'Serie3', 'Serie5'));
		$Test->drawXYScale("Serie1","Serie2",213,217,221,TRUE,90);
		$Test->drawGrid(4,TRUE,230,230,230,20);

		if($this->chartParams['show_all_member']) {$Test->drawXYPlotGraph("Serie1","Serie2");};
		if($this->chartParams['show_male_member']) {$Test->drawXYPlotGraph("Serie3","Serie4");};
		if($this->chartParams['show_female_member']) {$Test->drawXYPlotGraph("Serie5","Serie6");};
		//$Test->drawXYPlotGraph("Serie7","Serie8");
//print_r($this->chartParams);
//die();
		// Draw the legend
		$Test->RemoveSerie("Serie2");
		$Test->RemoveSerie("Serie4");
		$Test->RemoveSerie("Serie6");
		//$Test->RemoveSerie("Serie8");
//echo "HHH";
//var_dump($this->data);
//die();

		//	draw copyright
		//$text = "&#169; ".date('Y')." Clubmanagement"." - ".JText::_('COM_CLUBMANAGEMENT_DATA_AS_OF')." ".$data_as_of;
		$text = "&#169; ".date('Y')." Clubmanagement";#." - ".JText::_('COM_CLUBMANAGEMENT_DATA_AS_OF')." ".$data_as_of;
		$Test->drawTextBox(10*$multiplier, 470*$multiplier, 490*$multiplier, 490*$multiplier, $text, 0, 255, 255, 255, ALIGN_BOTTOM_RIGHT);

		$Test->drawLegend(160*$multiplier,5*$multiplier,0,0,0,0,0,0,255,255,255,FALSE);
		//$Test->Render($cachepath.DS.'test.png');
		$Test->Stroke();
	}
}
?>